package com.phm.manage.mapper;

import com.phm.manage.domain.AnalyzeDownLog;

import java.util.List;

/**
 * 数据解析下载日志Mapper接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface AnalyzeDownLogMapper {
    /**
     * 查询数据解析下载日志
     *
     * @param id 数据解析下载日志主键
     * @return 数据解析下载日志
     */
    public AnalyzeDownLog selectAnalyzeDownLogById(Long id);

    /**
     * 查询数据解析下载日志列表
     *
     * @param analyzeDownLog 数据解析下载日志
     * @return 数据解析下载日志集合
     */
    public List<AnalyzeDownLog> selectAnalyzeDownLogList(AnalyzeDownLog analyzeDownLog);

    /**
     * 新增数据解析下载日志
     *
     * @param analyzeDownLog 数据解析下载日志
     * @return 结果
     */
    public int insertAnalyzeDownLog(AnalyzeDownLog analyzeDownLog);

    /**
     * 修改数据解析下载日志
     *
     * @param analyzeDownLog 数据解析下载日志
     * @return 结果
     */
    public int updateAnalyzeDownLog(AnalyzeDownLog analyzeDownLog);

    /**
     * 删除数据解析下载日志
     *
     * @param id 数据解析下载日志主键
     * @return 结果
     */
    public int deleteAnalyzeDownLogById(Long id);

    /**
     * 批量删除数据解析下载日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAnalyzeDownLogByIds(Long[] ids);
}
